## org.apache.mahout.cf.taste.example.email
Enum EmailUtility.Counters

    java.lang.Object
      java.lang.Enum<EmailUtility.Counters>
          org.apache.mahout.cf.taste.example.email.EmailUtility.Counters

All Implemented Interfaces:
  Serializable, Comparable<EmailUtility.Counters>

Enclosing class:
  EmailUtility

    public static enum EmailUtility.Counters

extends Enum<EmailUtility.Counters>

Enum Constant Summary
`NO_FROM_ADDRESS`
`NO_MESSAGE_ID`

Method Summary
`static EmailUtility.Counters` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EmailUtility.Counters[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_MESSAGE_ID

    public static final EmailUtility.Counters NO_MESSAGE_ID

### NO_FROM_ADDRESS

    public static final EmailUtility.Counters NO_FROM_ADDRESS

Method Detail

### values

    public static EmailUtility.Counters[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EmailUtility.Counters c : EmailUtility.Counters.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EmailUtility.Counters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.